﻿using System;
using System.ServiceModel;
using CalcLib;

namespace CalcHost
{
    class Program
    {
        static void Main()
        {
            using (var serviceHost = new ServiceHost(typeof(CalcSrv)))
            {
                try
                {
                    serviceHost.Open();

                    Console.WriteLine("The service is running... (Press any key to exit)");
                    Console.ReadKey();

                    serviceHost.Close();
                }
                catch (Exception e)
                {
                    Console.WriteLine(e.Message);
                    Console.ReadKey();
                }
            }
        }
    }
}
