﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace CalcTest
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod] 
    public void testsum()
    {
        var summ = new CalcLib.CalcSrv();
        var actual = summ.GetSum();
            var expected = 0 ;
            Assert.AreEqual(expected, actual); 
    }

        [TestMethod]
        public void smmuryTest()
        {
            var summ = new CalcLib.CalcSrv();
               int f = 6;
               int g = 5;
               var g1 = summ.GetSum(f, g); 
               var expected = 11; 
               Assert.AreEqual(expected, g1);  
        }

        [TestMethod]
        public void bigNumberTest()
        {
            var summ = new CalcLib.CalcSrv();
            int f = 1234567890;
            int g = 1234567890;
            var g1 = summ.GetSum(f, g);
            var expected = 2469135780;
            Assert.AreEqual(expected, g1);
        }
    }
}
